/*----------------------------------------
  DCF-77 Defines
  (c) 2004 E.Hermanns
  ----------------------------------------*/

#ifndef _DCF77_
# define _DCF77_

/*----------------------------------------------------------------------
  Achtung: die ganze define-erei funktioniert z.Zt nur dann, wenn 
  DCF_SAMPLE ein exakter Teiler sowohl von DCF_BIT_ON als auch 
  DCF_BIT_ON ist. Die MIN/MAX Ergebnisse duerfen sich nicht ueberlappen!
  ----------------------------------------------------------------------*/

# define DCF_SAMPLE 			25	/* 25 ms */
# define DCF_BIT_OFF  			100	/* 0-bit, 100ms */
# define DCF_BIT_ON   			200	/* 1-bit, 200ms */
# define DCF_BIT_OFF_COUNT 		(DCF_BIT_OFF/DCF_SAMPLE) // 4
# define DCF_BIT_OFF_COUNT_MIN 		(DCF_BIT_OFF_COUNT - 1)  // 3 
# define DCF_BIT_OFF_COUNT_MAX	 	(DCF_BIT_OFF_COUNT + 1)  // 5
# define DCF_BIT_ON_COUNT 		(DCF_BIT_ON/DCF_SAMPLE)  // 8
# define DCF_BIT_ON_COUNT_MIN 		(DCF_BIT_ON_COUNT - 1)   // 7
# define DCF_BIT_ON_COUNT_MAX 		(DCF_BIT_ON_COUNT + 1)   // 9
# define DCF_LOW_COUNT_MIN 		((1000/DCF_SAMPLE) - DCF_BIT_ON_COUNT_MAX)  // 1000ms/25 = 40, 40-9 = 31
# define DCF_LOW_COUNT_MAX 		((1000/DCF_SAMPLE) - DCF_BIT_OFF_COUNT_MIN) // = 37
# define DCF_59_LOW_COUNT_MIN		(((2000-DCF_BIT_ON)/DCF_SAMPLE) -1)         // = 2000-200 = 1800/25 = 72-1 = 71
# define DCF_59_LOW_COUNT_MAX		(((2000-DCF_BIT_OFF)/DCF_SAMPLE)+1)         // = 2000-100 = 1900/25 = 76+1 = 77

#endif
